Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
security::FrontPanelPrivilegesChanged Struct Reference

Front panel privileges have been changed. More...

`import <Security.idl;`

Inheritance diagram for security::FrontPanelPrivilegesChanged:

## Public Attributes
vector< string > | oldPrivileges
| old front panel privileges
vector< string > | newPrivileges
| new front panel privileges
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Front panel privileges have been changed.

Definition at line 144 of file Security.idl.

## Member Data Documentation

## ◆ newPrivileges

vector<string> security::FrontPanelPrivilegesChanged::newPrivileges

new front panel privileges

Definition at line 146 of file Security.idl.

## ◆ oldPrivileges

vector<string> security::FrontPanelPrivilegesChanged::oldPrivileges

old front panel privileges

Definition at line 145 of file Security.idl.

The documentation for this struct was generated from the following file:

- Security.idl